### Method

# Adw Leaflet get_visible_child_name

deprecated: 1.4

#### Declaration [src]

    const char*
    adw_leaflet_get_visible_child_name (
      AdwLeaflet* self
    )

#### Description [src]

Gets the name of the currently visible child widget.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.Leaflet:visible-child-name`

#### Return value

Type: `const char*`

The name of the visible child.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.